Bug 1939061 - [release-4.7] Sap license management logs gatherer 4.7
Summary: [release-4.7] Sap license management logs gatherer 4.7
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Insights Operator
Version: 4.7
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.7.z
Assignee: Serhii Zakharov
QA Contact: Pavel Šimovec
URL:
Whiteboard:
Depends On: 1928512
Blocks: 1939059
TreeView+ depends on / blocked
 
Reported: 2021-03-15 14:17 UTC by Serhii Zakharov
Modified: 2021-04-05 13:56 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
The SAP installation may fail in license management pod, so We need error logs to detect the failure. Get the filtered error logs as followings. # oc logs deploy/license-management-l4rvh Found 2 pods, using pod/license-management-l4rvh-74595f8c9b-flgz9 + iptables -D PREROUTING -t nat -j VSYSTEM-AGENT-PREROUTING + true + iptables -F VSYSTEM-AGENT-PREROUTING -t nat + true + iptables -X VSYSTEM-AGENT-PREROUTING -t nat + true + iptables -N VSYSTEM-AGENT-PREROUTING -t nat iptables v1.6.2: can't initialize iptables table `nat': Permission denied Perhaps iptables or your kernel needs to be upgraded.
Clone Of:
Environment:
Last Closed: 2021-04-05 13:56:19 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift insights-operator pull 372 0 None open [release-4.7] Bug 1939061: Sap license management logs gatherer 4.7 2021-03-23 07:54:20 UTC
Red Hat Product Errata RHSA-2021:1005 0 None None None 2021-04-05 13:56:36 UTC

Description Serhii Zakharov 2021-03-15 14:17:39 UTC
The SAP installation may fail in license management pod, so We need error logs to detect the failure.

Get the filtered error logs as followings.

# oc logs deploy/license-management-l4rvh
Found 2 pods, using pod/license-management-l4rvh-74595f8c9b-flgz9
+ iptables -D PREROUTING -t nat -j VSYSTEM-AGENT-PREROUTING
+ true
+ iptables -F VSYSTEM-AGENT-PREROUTING -t nat
+ true
+ iptables -X VSYSTEM-AGENT-PREROUTING -t nat
+ true
+ iptables -N VSYSTEM-AGENT-PREROUTING -t nat
iptables v1.6.2: can't initialize iptables table `nat': Permission denied
Perhaps iptables or your kernel needs to be upgraded.

Comment 4 errata-xmlrpc 2021-04-05 13:56:19 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.5 security and bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:1005


Note You need to log in before you can comment on or make changes to this bug.